Gidubba
========

Gidubba (Sumerian for 'stylus') is a simple line editor for the
Thingamajig computer architecture. Its git repository can be found at
https://ahti.space/git/crazyettin/Gidubba and that of Thingamajig at
https://ahti.space/git/crazyettin/Thingamajig.

System requirements
-------------------

Gidubba requires a terminal with local echo at address FFFF and
optionally a line printer at address FFFE. The emulator implementation
included in the Thingamajig repository is suitable. If your setup
differs from this you may have to modify the code yourself.

Usage
-----

The commands are individual letters that depending on the command can be
followed by an argument. The argument can be either a hexadecimal line
number between 0 and FFFF or a hash (#), a shortcut for line FFFF. An
argument to a non-existent line will be interpreted as referring to the
line number after the last line.

Commands with an argument:
  * I: Insert a line or lines
  * D: Delete a line
  * L: List a line

Commands with no argument:
  * P: Print (requires a printer)
  * H: Halt

Both commands and arguments are case-insensitive. In both the command
prompt as well as when inserting lines sending an escape (^[) will allow
retyping the line in question. To finish inserting lines send a
substitute (^Z): the line on which this is done is not saved.
